/*
 *
 *
 *    Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements.
 *    See the NOTICE file distributed with this work for additional information regarding copyright ownership.
 *    The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use
 *    this file except in compliance with the License.  You may obtain a copy of the License at
 *
 *            http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software distributed under the License is
 *    distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and limitations under the License.
 *
 *
 */
package eu.amidst.core.conceptdrift;



import eu.amidst.core.conceptdrift.utils.Fading;
import eu.amidst.core.learning.parametric.bayesian.SVB;

import java.util.List;

/**
 *
 * <p> For an example of use follow this link </p>
 * <p> <a href="http://amidst.github.io/toolbox/CodeExamples.html#svbfadingexample"> http://amidst.github.io/toolbox/CodeExamples.html#svbfadingexample </a>  </p>
 */
public class SVBFading extends SVB implements FadingLearner{

    public SVBFading(){
        super();
        this.setTransitionMethod(new Fading(0.999));
    }

    public double getFadingFactor() {
        return ((Fading)this.getTransitionMethod()).getFadingFactor();
    }

    public void setFadingFactor(double fadingFactor) {
        ((Fading)this.getTransitionMethod()).setFadingFactor(fadingFactor);
    }
}
